Package org.apache.tapestry5.internal.plastic

## Class FieldHandleImpl

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.FieldHandleImpl

- All Implemented Interfaces:
    `FieldHandle`

      public class FieldHandleImpl
      extends java.lang.Object
      implements FieldHandle

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PlasticClassHandleShim` | `shim` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldHandleImpl​(java.lang.String className, java.lang.String fieldName, int fieldIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(java.lang.Object instance)` | Gets the current value of the field.
    `void` | `set​(java.lang.Object instance, java.lang.Object newValue)` | Updates the current value of the field.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### shim

          protected volatile PlasticClassHandleShim shim

  - ### Constructor Detail

    - #### FieldHandleImpl

          public FieldHandleImpl​(java.lang.String className,
                                 java.lang.String fieldName,
                                 int fieldIndex)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### get

          public java.lang.Object get​(java.lang.Object instance)

      Description copied from interface: `FieldHandle`
      Gets the current value of the field. If the field is a primitive value, then the primitive will be wrapped.
      Specified by:
        `get` in interface `FieldHandle`

    - #### set

          public void set​(java.lang.Object instance,
                          java.lang.Object newValue)

      Description copied from interface: `FieldHandle`
      Updates the current value of the field. If the field is a primitive value, then the newValue will be unwrapped automatically.
      Specified by:
        `set` in interface `FieldHandle`